Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: Gnome GlobalMenu applet

  1. #1
    Join Date
    Jun 2008
    Location
    Budapest, Hungary
    Posts
    61

    Default Gnome GlobalMenu applet

    I don't know that there is anybody, who knows the globalmenu applet for gnome that can be found on google code. (gnome2-globalmenu - Google Code)
    This applet has no prebuild packages for openSUSE, so I need to compile it my self. Its also requires to recompile the whole gtk2 with an addition c file (patch), that makes it possible to function as it supposed to be; display the menu bar in the applet.
    What is my question is, where, and with what parameters should I run the following programs, so it works as it is now with the 'patch'?

    configure
    make
    make install

    I know that configure will needs the --prefix parameter, but where to, and is it necessary to use the --with-gdk-target=x11?

  2. #2
    jorge_lopez74 NNTP User

    Default Re: Gnome GlobalMenu applet

    I attempted to compile this on my own but was not successful. I have written the google code site for assistance.

    If you know of any premade packages please let me know.

  3. #3
    Join Date
    Jun 2008
    Location
    Budapest, Hungary
    Posts
    61

    Unhappy Can be installed, but not correctly

    I don't know any packages for SUSE linux, but one of my friend, who using suse as well, told me, that the fedora package should work.

    It didn't quite, but it installs, and every program writes an error message that failed to load libgnomenu, as it should, but only the authors test programs can use the applet, as it should be.

    I think it is needed to bind it's addition to the GTK project into it, but it's risky and I don't know what to set, to be able to use as it is in default.

    Also seems to me, that a nother solution can be to include the libgnomenu library in to GTK, but I don't know how. But I could find the so files.

  4. #4

    Default Re: Can be installed, but not correctly

    You need to install gnome-panel-devel and gnome-menu-devel among other things, if you can spare ~1 GiB of disk space on your root partition, just open up YaST > Package Manager > <extras menu> > Install all matching -devel files

    SuSE has always had weird naming conventions for some packages.

  5. #5
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,325
    Blog Entries
    15

    Default Re: Can be installed, but not correctly

    Hi
    The thread is almost 3 years old.... already on OBS
    software.opensuse.org: Search Results
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  6. #6

    Default Doh

    Quote Originally Posted by malcolmlewis View Post
    Hi
    The thread is almost 3 years old.... already on OBS
    I need to stop replying to threads after all-nighters.
    Thank you for the link.

  7. #7
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,325
    Blog Entries
    15

    Default Re: Can be installed, but not correctly

    Hi
    And compiling as well.... Your deleted post came through on the nntp side...
    (I will delete it)
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  8. #8
    Join Date
    Jun 2008
    Location
    Budapest, Hungary
    Posts
    61

    Cool Re: Gnome GlobalMenu applet

    This is so old, that I didn't even remembered that I did post this. Although it is solved The package no longer requires to rebuild GTK2 packages.

    Thanks though.

  9. #9

    Default Re: Can be installed, but not correctly

    Hi,

    I have tied to download the packages, but without any luck. All packages apart from one is installed the "menu bar".

    Can anyone help me with this?

    Regards

    Henrik

  10. #10
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,325
    Blog Entries
    15

    Default Re: Can be installed, but not correctly

    Hi
    What version of openSUSE and Gnome Release?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •